﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace CopyCenter
{
    /// <summary>
    /// Логика взаимодействия для CardsWindow.xaml
    /// </summary>
    public partial class CardsWindow : Window
    {
        gr672_liiEntities db;
        public CardsWindow()
        {
            InitializeComponent();
            db = new gr672_liiEntities();
        }

        private void Exit_Click(object sender, RoutedEventArgs e)
        {
            MenuWindow mw = new MenuWindow();
            mw.Show();
            this.Close();
        }

        private void Add(object sender, RoutedEventArgs e)
        {
            Card card = new Card();
            card.NumberCard = Convert.ToInt32(Number.Text);
            card.TypeCard = TypeCard.Text;
            card.idClient = Convert.ToInt32(idClient.Text);
            db.Cards.Add(card);
            db.SaveChanges();
            CardsList.ItemsSource = db.Cards.ToList();
        }

        private void Delete(object sender, RoutedEventArgs e)
        {
            Card dRow = new Card();
            int num = Convert.ToInt32(Number.Text);
            dRow = db.Cards.Where(w => w.NumberCard == num).FirstOrDefault();
            db.Cards.Remove(dRow);
            db.SaveChanges();
            CardsList.ItemsSource = db.Cards.ToList();
        }

        private void Update(object sender, RoutedEventArgs e)
        {
            Card uRow = new Card();
            int num = Convert.ToInt32(Number.Text);
            uRow = db.Cards.Where(w => w.NumberCard == num).FirstOrDefault();
            uRow.NumberCard = Convert.ToInt32(Number.Text);
            uRow.TypeCard = TypeCard.Text;
            uRow.idClient = Convert.ToInt32(idClient.Text);
            db.SaveChanges();
            CardsList.ItemsSource = db.Cards.ToList();
        }
    }
}
