﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace CopyCenter
{
    /// <summary>
    /// Логика взаимодействия для OrdersWindow.xaml
    /// </summary>
    public partial class OrdersWindow : Window
    {
        gr672_liiEntities db;
        public OrdersWindow()
        {
            InitializeComponent();
            db = new gr672_liiEntities();
        }

        private void Exit_Click(object sender, RoutedEventArgs e)
        {
            MenuWindow mw = new MenuWindow();
            mw.Show();
            this.Close();
        }

        private void Add(object sender, RoutedEventArgs e)
        {
            Order order = new Order();
            order.NumberOrder = Convert.ToInt32(Number.Text);
            order.ViewOrder = View.Text;
            order.OrderDate = Convert.ToDateTime(Date.Text);
            order.CostOrder = Convert.ToInt32(Price.Text);
            order.idClient = Convert.ToInt32(idClient.Text);
            order.idService = Convert.ToInt32(idService.Text);
            order.idUser = Convert.ToInt32(idUser.Text);
            order.idPayment = Convert.ToInt32(idPayment.Text);
            db.Orders.Add(order);
            db.SaveChanges();
            OrdersList.ItemsSource = db.Orders.ToList();
        }

        private void Delete(object sender, RoutedEventArgs e)
        {
            Order dRow = new Order();
            int num = Convert.ToInt32(Number.Text);
            dRow = db.Orders.Where(w => w.NumberOrder == num).FirstOrDefault();
            db.Orders.Remove(dRow);
            db.SaveChanges();
            OrdersList.ItemsSource = db.Clients.ToList();
        }

        private void Update(object sender, RoutedEventArgs e)
        {
            Order uRow = new Order();
            int num = Convert.ToInt32(Number.Text);
            uRow = db.Orders.Where(w => w.NumberOrder == num).FirstOrDefault();
            uRow.NumberOrder = Convert.ToInt32(Number.Text);
            uRow.ViewOrder = View.Text;
            uRow.OrderDate = Convert.ToDateTime(Date.Text);
            uRow.CostOrder = Convert.ToInt32(Price.Text);
            uRow.idClient = Convert.ToInt32(idClient.Text);
            uRow.idService = Convert.ToInt32(idService.Text);
            uRow.idUser = Convert.ToInt32(idUser.Text);
            uRow.idPayment = Convert.ToInt32(idPayment.Text);
            db.SaveChanges();
            OrdersList.ItemsSource = db.Services.ToList();
        }
    }
}
